#include "MidiTrack.h"

#include "MidiEvent.h"

MidiTrack::MidiTrack()
{

}

MidiTrack::~MidiTrack()
{

}

void MidiTrack::AddEvent(MidiEventPtr event)
{
    mEvents.push_back(std::move(event));
}

MidiEvent* MidiTrack::GetEvent(std::size_t idx) const
{
    return mEvents[idx].get();
}

std::size_t MidiTrack::GetNumEvents()
{
    return mEvents.size();
}

std::string MidiTrack::Serialize() const
{
    std::string output = "MidiTrack\n";
    output += "Num Events: " + std::to_string(mEvents.size()) + "\n";
    return output;
}
